New:Introducing Socket Scanning for VS Code Marketplace Extensions.Learn more →
Get Started

adapik/cms

Package Overview
Dependencies
Maintainers
1
Versions
21
Alerts
File Explorer

Advanced tools

Socket logo

Install Socket

Detect and block malicious and high-risk dependencies

Install

adapik/cms

A PHP Library that allows you to decode ASN.1 CMS using Basic Encoding Rules (BER).

Source
Packagist
Version
0.4.3
Version published
Total downloads
8.1K
Maintainers
1
Created
Source

CMS

A PHP Library that allows you to decode ASN.1 CMS using Basic Encoding Rules (BER)

build status codecov

Latest Stable Version Total Downloads License

Install

composer require adapik/cms

About

This package allow to convert common cryptographic structures from binary ASN.1 format to PHP Objects.

  • CMS (according to RFC3852)
  • CAdES (according to RFC5126)
  • x.509 Certificates, CRLs (according to RFC 5280)
  • etc.

This is a pure PHP library and does not require any cryptographic extensions (like ext-openssl) to be installed.

You can find examples, how to use this library here

How to extend

You can create your own Map (see examples under Adapik\CMS\Maps namespace) and Object (see examples under Adapik\CMS namespace) and decode any ASN.1 structure.

What this package is not

It's not a tool to create or validate CMS or CAdES, but you can build your own tool, using objects from this library.

Keywords

cms

FAQs

Package last updated on 05 Dec 2025

Related posts